{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/survey_result/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/survey_result/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_survey_result_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Umfrage &raquo;{{ surveyResult.getTitle() }}&laquo; bearbeiten</span>
        {{ form_widget(surveyResultForm.save, {'label': 'SPEICHERN', 'id': surveyResultForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% include 'component/mdc_context_menu_component.html.twig' with {
            'id': 'survey_result',
            'listItems': [
                {
                    'label': 'Umfrage löschen',
                    'url': path('configuration_survey_result_delete', {'surveyResultId': surveyResult.getId()}),
                    'icon': 'delete_forever'
                },
            ]
        } only %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h3 class="mb-2">Beschreibung</h3>
            {{ form_start(surveyResultForm, {'attr': {'id': surveyResultForm.vars.id ~ '_form', 'autocomplete': 'off' }}) }}
            {% include 'configuration/form/survey_result/survey_result_form.html.twig' with {'form': surveyResultForm} only %}
            {{ form_row(surveyResultForm._token) }}
            {{ form_end(surveyResultForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4 p-4">
            <div class="row">
                <div class="col-12 col-lg-6">
                    <h3 class="mb-2">Bild</h3>
                    <p>Hier können Sie ein beschreibendes Bild hochladen bzw. ändern.<br>Bitte laden Sie dieses als JPG- oder PNG-Datei idealerweise im Format 16:9 hoch.</p>
                    <div class="row g-3 mt-1">
                        <div class="col-md-4 mb-3 h-100">
                            {% if (surveyResult.getImage()) %}
                                <img class="img-fluid" src="{{ path('file', {'fileUuid': surveyResult.getImage().getFile().getUuid()}) }}" alt="Titelbild">
                            {% else %}
                                <div class="border p-5 text-center">Kein Bild hochgeladen</div>
                            {% endif %}
                        </div>
                        <div class="col-md-8 mb-3  h-100">
                            {% include 'component/dropzone_upload_component.html.twig' with {
                                'idPrefix': 'survey_result_image_upload_',
                                'uploadUrl': path('configuration_survey_result_image_upload', {'surveyResultId': surveyResult.getId()}),
                                'redirectUrl': path('configuration_survey_result_edit', {'surveyResultId': surveyResult.getId()})
                            } only %}
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-6">
                    <h3 class="mb-2">PDF-Dokument</h3>
                    <p>Hier können Sie das PDF-Dokument mit den Ergebnissen der Umfrage oder Studie hochladen. Bitte laden Sie dieses als PDF-Dokument hoch. Alternativ können Sie auch Kapitel anlegen und dort Dokumente einstellen.</p>
                    <div class="row g-3 mt-1">
                        <div class="col-md-4 mb-3 h-100">
                            {% if (surveyResult.getDocument()) %}
                                <a href="{{ path('file', {'fileUuid': surveyResult.getDocument().getFile().getUuid()}) }}" target="_blank" class="fs-1 material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                                    picture_as_pdf
                                </a>
                            {% else %}
                                <div class="border p-5 text-center">Kein Dokument hochgeladen</div>
                            {% endif %}
                        </div>
                        <div class="col-md-8 mb-3  h-100">
                            {% include 'component/dropzone_upload_component.html.twig' with {
                                'idPrefix': 'survey_result_document_upload_',
                                'uploadUrl': path('configuration_survey_result_document_upload', {'surveyResultId': surveyResult.getId()}),
                                'redirectUrl': path('configuration_survey_result_edit', {'surveyResultId': surveyResult.getId()})
                            } only %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="mdc-card mb-4 p-4">
            <div class="d-flex bg-white justify-content-start">
                <h3 class="mb-2 ms-0">Kapitel</h3>
                <a href="{{ path('configuration_survey_result_survey_result_chapter_create', {'surveyResultId': surveyResult.getId()}) }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center text-white">
                    KAPITEL ANLEGEN
                </a>
            </div>
            <p>Sind Ihre Umfrageergebnisse in unterschiedliche Teilbereiche/Kapitel untergliedert, können Sie diese hier einstellen</p>
        </div>
        {% if surveyResult.getSurveyResultChapters() != null and surveyResult.getSurveyResultChapters()|length > 0 %}
            <div class="row mb-4">
                {% for surveyResultChapter in surveyResult.getSurveyResultChapters() %}
                    <div class="col-6 col-lg-4 mb-3">
                        {% include 'configuration/component/survey_result/survey_result_chapter_card.html.twig' with {'surveyResultChapter': surveyResultChapter} only %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
    </div>
{% endblock %}
